Edits the status of a bill import rule. Only EnergyCAP staff may edit the state of locked rules.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| billImportRuleId | Unique numeric identifier of the rule to edit | integer (int32) | Required |
Request Body
BillImportRuleStatusRequestV202609
| Property | Description | Type |
|---|---|---|
| billImportRuleStatusId | The status of the bill import rule. Valid values: 1 = Active, 2 = Inactive, 3 = Draft Required One of ‘1’, ‘2’, ‘3’ Case sensitive | integer (int32) |
Example Request Body
{ "billImportRuleStatusId": 1
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
BillImportRuleResponseV202604
| Property | Description | Type | ||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| account | AccountChild | |||||||||||||||||||||||||||||||||||||||||||||||||
|
AccountChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||
| billImportRuleId | The unique identifier of the bill import rule Required (defined) | integer (int32) | ||||||||||||||||||||||||||||||||||||||||||||||||
| billImportRuleInfo | The name of the bill import rule Required (defined) | string | ||||||||||||||||||||||||||||||||||||||||||||||||
| billImportRulePrompt | The prompt used to generate the rule definition Required (defined) | string | ||||||||||||||||||||||||||||||||||||||||||||||||
| billImportRuleTemplateId | If set, the bill import rule template associated with the rule Required (defined) | integer (int32) | ||||||||||||||||||||||||||||||||||||||||||||||||
| createdBy | UserChild | |||||||||||||||||||||||||||||||||||||||||||||||||
|
UserChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||
| createdDate | The date and time the rule was created Required (defined) | string (date-time) | ||||||||||||||||||||||||||||||||||||||||||||||||
| description | A human-readable description of what the rule does Required (defined) | string | ||||||||||||||||||||||||||||||||||||||||||||||||
| locked | The lock status of the rule. If locked, it is considered a ‘Default’ rule provided by the system and the rule cannot be modified, with the exception of EnergyCAP Staff being able to enable/disable a rule via the EditRuleStatus API. Required (defined) | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||
| modifiedBy | UserChild | |||||||||||||||||||||||||||||||||||||||||||||||||
|
UserChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||
| modifiedDate | The date and time the rule was last modified Required (defined) | string (date-time) | ||||||||||||||||||||||||||||||||||||||||||||||||
| priority | The execution priority of the rule within its scope. Lower values execute first. Required (defined) | integer (int32) | ||||||||||||||||||||||||||||||||||||||||||||||||
| ruleDefinition | The JavaScript rule definition executed by the rules engine Required (defined) | string | ||||||||||||||||||||||||||||||||||||||||||||||||
| status | BillImportRuleStatusChildV202604 | |||||||||||||||||||||||||||||||||||||||||||||||||
|
BillImportRuleStatusChildV202604 properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||
| vendor | VendorChild | |||||||||||||||||||||||||||||||||||||||||||||||||
|
VendorChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "account": { "accountCode": "string", "accountId": 1, "accountInfo": "string", "active": false, "hasCalculatedMeter": false, "hasSplitChildMeter": false, "hasSplitParentMeter": false, "hasSubAccount": false, "isSubAccount": false, "vendor": { "vendorCode": "string", "vendorId": 1, "vendorInfo": "string"
}
}, "billImportRuleId": 1, "billImportRuleInfo": "string", "billImportRulePrompt": "string", "billImportRuleTemplateId": 1, "createdBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "createdDate": "2026-09-30", "description": "string", "locked": false, "modifiedBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "modifiedDate": "2026-09-30", "priority": 1, "ruleDefinition": "string", "status": { "billImportRuleStatusId": 1, "billImportRuleStatusInfo": "string"
}, "vendor": { "vendorCode": "string", "vendorId": 1, "vendorInfo": "string"
}
}